;**************************************************************************
;*
;* FILE  config.asm
;* Copyright (c) 2006, 2007, 2008 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: config.asm,v 1.16 2008-02-17 23:14:17 tlr Exp $
;*
;* DESCRIPTION
;*   Configuration bytes.
;*
;******

; (returned by CMD_IMPLEMENTATION)
IMPLEMENTATION_STR eqm	"DTVTRANS 1.0"
		
HEADER_LEN	equ	e_id-s_id

s_id:	
;identity
	dc.b	"- DTVTRANS / TLR -"
;version
	dc.b	1,0
e_id:
; custom configuration.
; 
cfg_hard_video:	
	IFNCONST HUMMER_NTSC
	dc.b	%00000011	; $d040
	dc.b	$24,$00,$00	; $d041/$d042/$d043
	dc.b	$00		; $d04e
	dc.b	%00000010	; $d04f
	ELSE ; HUMMER_NTSC
	dc.b	%00000000	; $d040
	dc.b	$1c,$00,$00	; $d041/$d042/$d043
	dc.b	$0a		; $d04e
	dc.b	%00000010	; $d04f
	ENDIF ; HUMMER_NTSC
cfg_dtvtrans_port:
	IFCONST PORT_MODE_JOY1
	dc.b	$ff
	ELSE
	IFCONST PORT_MODE_JOY2
	dc.b	$fe
	ELSE
	IFCONST PORT_MODE_USER0_4
	dc.b	$fd
	ELSE
	dc.b	$ff	; default if nothing is defined
	ENDIF
	ENDIF
	ENDIF
cfg_dtvtrans_bank:
	dc.b	$06		; default: $06 ($018000-$01c000)
cfg_autostart:
	dc.b	$00		; default: $01 means start server mode.
; eof
